Table of Contents

## Name

XtSessionGetToken, XtSessionReturnToken - token management for checkpointing

## Syntax

XtCheckpointToken XtSessionGetToken(w, type)
Widget w;
int type;

void XtSessionReturntoken(token)
XtCheckpointToken token;

## Arguments

w
  Specifies the session widget.
type
  Specifies the value in the type field of the token.
token
  Specifies the token to be returned.

## Description

The XtSessionGetToken function will return NULL if the checkpoint operation instigated by the session manager is not currently under way.

To indicate the completion of a deferred save operation and to return the checkpoint token use XtSessionReturnToken.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also